Subject: bug#79346: igc: PolicyShouldCollectWorld

From: Eli Zaretskii <[email-masked]>
Date: Fri, 05 Sep 2025 09:35:53 +0300

> From: Helmut Eller <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 04 Sep 2025 22:12:55 +0200
> 
> On Thu, Sep 04 2025, Gerd Möllmann wrote:
> 
> [...]
> > Anyway, the number and size of generations is such a thing. I've been
> > playing with that on and off and I think I found a setting that works
> > noticeably smoother than the default.
> 
> It seems to me that the arena pause_time parameter must be tuned
> together with the size(s) of the generation(s).  Smaller generations
> require shorter pause_times.  I gravitate towards 10MB for the first
> generation and 10 milliseconds pause time.  My feeling is that something
> in the order of 10MB should work better than 100MB.  Of course, this
> requires measurements to be sure.

Not sure if I make sense, but 10 ms of pause for GC sounds an awful
lot to me.  Would 1 ms or 2 ms be reasonable?  They should be
imperceptible.